Revert "New autotools version"
[scilab.git] / scilab / modules / spreadsheet / Makefile.in
1 # Makefile.in generated by automake 1.13.3 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2006 - INRIA - Sylvestre LEDRU
19 #
20 # This file is distributed under the same license as the Scilab package.
21
22 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
23 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
24 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
25 #
26 # This file must be used under the terms of the CeCILL.
27 # This source file is licensed as described in the file COPYING, which
28 # you should have received as part of this distribution.  The terms
29 # are also available at
30 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
31 #
32
33 ##########
34 ### Makefile included stuff
35 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
36 ##########
37
38
39 VPATH = @srcdir@
40 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
41 am__make_running_with_option = \
42   case $${target_option-} in \
43       ?) ;; \
44       *) echo "am__make_running_with_option: internal error: invalid" \
45               "target option '$${target_option-}' specified" >&2; \
46          exit 1;; \
47   esac; \
48   has_opt=no; \
49   sane_makeflags=$$MAKEFLAGS; \
50   if $(am__is_gnu_make); then \
51     sane_makeflags=$$MFLAGS; \
52   else \
53     case $$MAKEFLAGS in \
54       *\\[\ \   ]*) \
55         bs=\\; \
56         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
57           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
58     esac; \
59   fi; \
60   skip_next=no; \
61   strip_trailopt () \
62   { \
63     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
64   }; \
65   for flg in $$sane_makeflags; do \
66     test $$skip_next = yes && { skip_next=no; continue; }; \
67     case $$flg in \
68       *=*|--*) continue;; \
69         -*I) strip_trailopt 'I'; skip_next=yes;; \
70       -*I?*) strip_trailopt 'I';; \
71         -*O) strip_trailopt 'O'; skip_next=yes;; \
72       -*O?*) strip_trailopt 'O';; \
73         -*l) strip_trailopt 'l'; skip_next=yes;; \
74       -*l?*) strip_trailopt 'l';; \
75       -[dEDm]) skip_next=yes;; \
76       -[JT]) skip_next=yes;; \
77     esac; \
78     case $$flg in \
79       *$$target_option*) has_opt=yes; break;; \
80     esac; \
81   done; \
82   test $$has_opt = yes
83 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
84 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
85 pkgdatadir = $(datadir)/@PACKAGE@
86 pkgincludedir = $(includedir)/@PACKAGE@
87 pkglibdir = $(libdir)/@PACKAGE@
88 pkglibexecdir = $(libexecdir)/@PACKAGE@
89 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
90 install_sh_DATA = $(install_sh) -c -m 644
91 install_sh_PROGRAM = $(install_sh) -c
92 install_sh_SCRIPT = $(install_sh) -c
93 INSTALL_HEADER = $(INSTALL_DATA)
94 transform = $(program_transform_name)
95 NORMAL_INSTALL = :
96 PRE_INSTALL = :
97 POST_INSTALL = :
98 NORMAL_UNINSTALL = :
99 PRE_UNINSTALL = :
100 POST_UNINSTALL = :
101 build_triplet = @build@
102 host_triplet = @host@
103 DIST_COMMON = $(top_srcdir)/Makefile.incl.am $(srcdir)/Makefile.in \
104         $(srcdir)/Makefile.am $(top_srcdir)/config/mkinstalldirs \
105         $(top_srcdir)/config/depcomp TODO
106 @NEED_JAVA_TRUE@am__append_1 = java
107 subdir = modules/spreadsheet
108 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
109 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
110         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/curl.m4 \
111         $(top_srcdir)/m4/docbook.m4 $(top_srcdir)/m4/doxygen.m4 \
112         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
113         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
114         $(top_srcdir)/m4/intel_compiler.m4 \
115         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
116         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
117         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
118         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
119         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
120         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
121         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
122         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
123         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
124         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
125         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
126 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
127         $(ACLOCAL_M4)
128 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
129 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
130 CONFIG_CLEAN_FILES =
131 CONFIG_CLEAN_VPATH_FILES =
132 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
133 am__vpath_adj = case $$p in \
134     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
135     *) f=$$p;; \
136   esac;
137 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
138 am__install_max = 40
139 am__nobase_strip_setup = \
140   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
141 am__nobase_strip = \
142   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
143 am__nobase_list = $(am__nobase_strip_setup); \
144   for p in $$list; do echo "$$p $$p"; done | \
145   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
146   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
147     if (++n[$$2] == $(am__install_max)) \
148       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
149     END { for (dir in files) print dir, files[dir] }'
150 am__base_list = \
151   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
152   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
153 am__uninstall_files_from_dir = { \
154   test -z "$$files" \
155     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
156     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
157          $(am__cd) "$$dir" && rm -f $$files; }; \
158   }
159 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
160         "$(DESTDIR)$(libscispreadsheet_la_etcdir)" \
161         "$(DESTDIR)$(libscispreadsheet_la_rootdir)" \
162         "$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)"
163 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
164 libscispreadsheet_algo_la_LIBADD =
165 am__objects_1 = libscispreadsheet_algo_la-xls.lo \
166         libscispreadsheet_algo_la-checkCsvWriteFormat.lo \
167         libscispreadsheet_algo_la-csvDefault.lo \
168         libscispreadsheet_algo_la-csvRead.lo \
169         libscispreadsheet_algo_la-csvWrite.lo \
170         libscispreadsheet_algo_la-getRange.lo \
171         libscispreadsheet_algo_la-splitLine.lo \
172         libscispreadsheet_algo_la-utftolatin.lo
173 am__objects_2 = libscispreadsheet_algo_la-olestream-unwrap.lo \
174         libscispreadsheet_algo_la-pldstr.lo \
175         libscispreadsheet_algo_la-ole.lo \
176         libscispreadsheet_algo_la-bytedecoders.lo \
177         libscispreadsheet_algo_la-logger.lo \
178         libscispreadsheet_algo_la-ripole.lo \
179         libscispreadsheet_algo_la-bt-int.lo
180 am_libscispreadsheet_algo_la_OBJECTS = $(am__objects_1) \
181         $(am__objects_2)
182 libscispreadsheet_algo_la_OBJECTS =  \
183         $(am_libscispreadsheet_algo_la_OBJECTS)
184 AM_V_lt = $(am__v_lt_@AM_V@)
185 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
186 am__v_lt_0 = --silent
187 am__v_lt_1 = 
188 libscispreadsheet_la_DEPENDENCIES = libscispreadsheet-algo.la
189 am__objects_3 = libscispreadsheet_la-gw_spreadsheet.lo \
190         libscispreadsheet_la-sci_xls_read.lo \
191         libscispreadsheet_la-sci_xls_open.lo \
192         libscispreadsheet_la-gw_csv_helpers.lo \
193         libscispreadsheet_la-sci_csvDefault.lo \
194         libscispreadsheet_la-sci_csvRead.lo \
195         libscispreadsheet_la-sci_csvStringToDouble.lo \
196         libscispreadsheet_la-sci_csvTextScan.lo \
197         libscispreadsheet_la-sci_csvWrite.lo
198 am_libscispreadsheet_la_OBJECTS = $(am__objects_3)
199 libscispreadsheet_la_OBJECTS = $(am_libscispreadsheet_la_OBJECTS)
200 AM_V_P = $(am__v_P_@AM_V@)
201 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
202 am__v_P_0 = false
203 am__v_P_1 = :
204 AM_V_GEN = $(am__v_GEN_@AM_V@)
205 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
206 am__v_GEN_0 = @echo "  GEN     " $@;
207 am__v_GEN_1 = 
208 AM_V_at = $(am__v_at_@AM_V@)
209 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
210 am__v_at_0 = @
211 am__v_at_1 = 
212 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
213 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
214 am__depfiles_maybe = depfiles
215 am__mv = mv -f
216 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
217         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
218 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
219         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
220         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
221         $(AM_CFLAGS) $(CFLAGS)
222 AM_V_CC = $(am__v_CC_@AM_V@)
223 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
224 am__v_CC_0 = @echo "  CC      " $@;
225 am__v_CC_1 = 
226 CCLD = $(CC)
227 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
228         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
229         $(AM_LDFLAGS) $(LDFLAGS) -o $@
230 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
231 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
232 am__v_CCLD_0 = @echo "  CCLD    " $@;
233 am__v_CCLD_1 = 
234 SOURCES = $(libscispreadsheet_algo_la_SOURCES) \
235         $(libscispreadsheet_la_SOURCES)
236 DIST_SOURCES = $(libscispreadsheet_algo_la_SOURCES) \
237         $(libscispreadsheet_la_SOURCES)
238 am__can_run_installinfo = \
239   case $$AM_UPDATE_INFO_DIR in \
240     n|no|NO) false;; \
241     *) (install-info --version) >/dev/null 2>&1;; \
242   esac
243 DATA = $(libscispreadsheet_la_etc_DATA) \
244         $(libscispreadsheet_la_root_DATA) \
245         $(libscispreadsheet_la_sci_gateway_DATA)
246 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
247 # Read a list of newline-separated strings from the standard input,
248 # and print each of them once, without duplicates.  Input order is
249 # *not* preserved.
250 am__uniquify_input = $(AWK) '\
251   BEGIN { nonempty = 0; } \
252   { items[$$0] = 1; nonempty = 1; } \
253   END { if (nonempty) { for (i in items) print i; }; } \
254 '
255 # Make sure the list of sources is unique.  This is necessary because,
256 # e.g., the same source file might be shared among _SOURCES variables
257 # for different programs/libraries.
258 am__define_uniq_tagged_files = \
259   list='$(am__tagged_files)'; \
260   unique=`for i in $$list; do \
261     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
262   done | $(am__uniquify_input)`
263 ETAGS = etags
264 CTAGS = ctags
265 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
266 ACLOCAL = @ACLOCAL@
267 ALL_LINGUAS = @ALL_LINGUAS@
268 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
269 AMTAR = @AMTAR@
270 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
271 ANT = @ANT@
272 ANTLR = @ANTLR@
273 AR = @AR@
274 ARPACK_LIBS = @ARPACK_LIBS@
275 ASM3 = @ASM3@
276 AUTOCONF = @AUTOCONF@
277 AUTOHEADER = @AUTOHEADER@
278 AUTOMAKE = @AUTOMAKE@
279 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
280 AWK = @AWK@
281 BATIK = @BATIK@
282 BLAS_LIBS = @BLAS_LIBS@
283 CC = @CC@
284 CCACHE = @CCACHE@
285 CCDEPMODE = @CCDEPMODE@
286 CFLAGS = @CFLAGS@
287 CHECKSTYLE = @CHECKSTYLE@
288 COBERTURA = @COBERTURA@
289 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
290 COMMONS_IO = @COMMONS_IO@
291 COMMONS_LOGGING = @COMMONS_LOGGING@
292 CPP = @CPP@
293 CPPFLAGS = @CPPFLAGS@
294 CURL_CFLAGS = @CURL_CFLAGS@
295 CURL_CONFIG = @CURL_CONFIG@
296 CURL_LIBS = @CURL_LIBS@
297 CURL_VERSION = @CURL_VERSION@
298 CXX = @CXX@
299 CXXCPP = @CXXCPP@
300 CXXDEPMODE = @CXXDEPMODE@
301 CXXFLAGS = @CXXFLAGS@
302 CYGPATH_W = @CYGPATH_W@
303 DEFS = @DEFS@
304 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
305 DEPDIR = @DEPDIR@
306 DOCBOOK_ROOT = @DOCBOOK_ROOT@
307 DOXYGEN_BIN = @DOXYGEN_BIN@
308 DSYMUTIL = @DSYMUTIL@
309 DUMPBIN = @DUMPBIN@
310 ECHO_C = @ECHO_C@
311 ECHO_N = @ECHO_N@
312 ECHO_T = @ECHO_T@
313 EGREP = @EGREP@
314 EXEEXT = @EXEEXT@
315 F77 = @F77@
316 FFLAGS = @FFLAGS@
317 FFTW3_LIB = @FFTW3_LIB@
318 FFTW_ENABLE = @FFTW_ENABLE@
319 FGREP = @FGREP@
320 FLEXDOCK = @FLEXDOCK@
321 FLIBS = @FLIBS@
322 FOP = @FOP@
323 GENHTML = @GENHTML@
324 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
325 GIWS_BIN = @GIWS_BIN@
326 GLUEGEN2_RT = @GLUEGEN2_RT@
327 GMSGFMT = @GMSGFMT@
328 GMSGFMT_015 = @GMSGFMT_015@
329 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
330 GREP = @GREP@
331 GUI_ENABLE = @GUI_ENABLE@
332 HDF5_CFLAGS = @HDF5_CFLAGS@
333 HDF5_LIBS = @HDF5_LIBS@
334 HELP_ENABLE = @HELP_ENABLE@
335 INSTALL = @INSTALL@
336 INSTALL_DATA = @INSTALL_DATA@
337 INSTALL_PROGRAM = @INSTALL_PROGRAM@
338 INSTALL_SCRIPT = @INSTALL_SCRIPT@
339 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
340 INTLLIBS = @INTLLIBS@
341 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
342 JAR = @JAR@
343 JAVA = @JAVA@
344 JAVAC = @JAVAC@
345 JAVAC_DEBUG = @JAVAC_DEBUG@
346 JAVADOC = @JAVADOC@
347 JAVAH = @JAVAH@
348 JAVASCI_ENABLE = @JAVASCI_ENABLE@
349 JAVA_ENABLE = @JAVA_ENABLE@
350 JAVA_G = @JAVA_G@
351 JAVA_HOME = @JAVA_HOME@
352 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
353 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
354 JDB = @JDB@
355 JEUCLID_CORE = @JEUCLID_CORE@
356 JGRAPHX = @JGRAPHX@
357 JHALL = @JHALL@
358 JLATEXMATH = @JLATEXMATH@
359 JLATEXMATH_FOP = @JLATEXMATH_FOP@
360 JOGL2 = @JOGL2@
361 JROSETTA_API = @JROSETTA_API@
362 JROSETTA_ENGINE = @JROSETTA_ENGINE@
363 JUNIT4 = @JUNIT4@
364 LAPACK_LIBS = @LAPACK_LIBS@
365 LCOV = @LCOV@
366 LD = @LD@
367 LDFLAGS = @LDFLAGS@
368 LIBICONV = @LIBICONV@
369 LIBINTL = @LIBINTL@
370 LIBM = @LIBM@
371 LIBOBJS = @LIBOBJS@
372 LIBS = @LIBS@
373 LIBTOOL = @LIBTOOL@
374 LIPO = @LIPO@
375 LN_S = @LN_S@
376 LOGGING_LEVEL = @LOGGING_LEVEL@
377 LOOKS = @LOOKS@
378 LTLIBICONV = @LTLIBICONV@
379 LTLIBINTL = @LTLIBINTL@
380 LTLIBOBJS = @LTLIBOBJS@
381 MAINT = @MAINT@
382 MAKEINFO = @MAKEINFO@
383 MATIO_CFLAGS = @MATIO_CFLAGS@
384 MATIO_ENABLE = @MATIO_ENABLE@
385 MATIO_LIBS = @MATIO_LIBS@
386 MKDIR_P = @MKDIR_P@
387 MPI_ENABLE = @MPI_ENABLE@
388 MSGCAT = @MSGCAT@
389 MSGFMT = @MSGFMT@
390 MSGFMT_015 = @MSGFMT_015@
391 MSGMERGE = @MSGMERGE@
392 NM = @NM@
393 NMEDIT = @NMEDIT@
394 OBJDUMP = @OBJDUMP@
395 OBJEXT = @OBJEXT@
396 OCAMLC = @OCAMLC@
397 OCAMLDEP = @OCAMLDEP@
398 OCAMLLEX = @OCAMLLEX@
399 OCAMLOPT = @OCAMLOPT@
400 OCAMLYACC = @OCAMLYACC@
401 OPENMPI_CC = @OPENMPI_CC@
402 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
403 OPENMPI_CXX = @OPENMPI_CXX@
404 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
405 OPENMPI_LIBS = @OPENMPI_LIBS@
406 OPENMP_CFLAGS = @OPENMP_CFLAGS@
407 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
408 OPENMP_ENABLE = @OPENMP_ENABLE@
409 OPENMP_LIBS = @OPENMP_LIBS@
410 OTOOL = @OTOOL@
411 OTOOL64 = @OTOOL64@
412 PACKAGE = @PACKAGE@
413 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
414 PACKAGE_NAME = @PACKAGE_NAME@
415 PACKAGE_STRING = @PACKAGE_STRING@
416 PACKAGE_TARNAME = @PACKAGE_TARNAME@
417 PACKAGE_URL = @PACKAGE_URL@
418 PACKAGE_VERSION = @PACKAGE_VERSION@
419 PATH_SEPARATOR = @PATH_SEPARATOR@
420 PCRE_CFLAGS = @PCRE_CFLAGS@
421 PCRE_CONFIG = @PCRE_CONFIG@
422 PCRE_LIBS = @PCRE_LIBS@
423 PCRE_VERSION = @PCRE_VERSION@
424 PKG_CONFIG = @PKG_CONFIG@
425 POSUB = @POSUB@
426 POW_LIB = @POW_LIB@
427 PYTHON = @PYTHON@
428 RANLIB = @RANLIB@
429 RELOCATABLE = @RELOCATABLE@
430 RT_LIB = @RT_LIB@
431 SAXON = @SAXON@
432 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
433 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
434 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
435 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
436 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
437 SCIRENDERER = @SCIRENDERER@
438 SCIRENDERER_CP = @SCIRENDERER_CP@
439 SCI_CFLAGS = @SCI_CFLAGS@
440 SCI_CXXFLAGS = @SCI_CXXFLAGS@
441 SCI_FFLAGS = @SCI_FFLAGS@
442 SCI_LDFLAGS = @SCI_LDFLAGS@
443 SED = @SED@
444 SET_MAKE = @SET_MAKE@
445 SET_RELOCATABLE = @SET_RELOCATABLE@
446 SHELL = @SHELL@
447 SKINLF = @SKINLF@
448 SPLINT = @SPLINT@
449 STRIP = @STRIP@
450 SWIG_BIN = @SWIG_BIN@
451 SWIG_JAVA = @SWIG_JAVA@
452 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
453 SWIG_SCILAB = @SWIG_SCILAB@
454 TCLTK_LIBS = @TCLTK_LIBS@
455 TCL_INC_PATH = @TCL_INC_PATH@
456 TK_INC_PATH = @TK_INC_PATH@
457 UMFPACK_ENABLE = @UMFPACK_ENABLE@
458 UMFPACK_LIB = @UMFPACK_LIB@
459 USE_NLS = @USE_NLS@
460 VERSION = @VERSION@
461 WITH_OCAML = @WITH_OCAML@
462 WITH_TKSCI = @WITH_TKSCI@
463 XCOS_ENABLE = @XCOS_ENABLE@
464 XGETTEXT = @XGETTEXT@
465 XGETTEXT_015 = @XGETTEXT_015@
466 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
467 XMKMF = @XMKMF@
468 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
469 XML_APIS_EXT = @XML_APIS_EXT@
470 XML_CONFIG = @XML_CONFIG@
471 XML_FLAGS = @XML_FLAGS@
472 XML_LIBS = @XML_LIBS@
473 XML_VERSION = @XML_VERSION@
474 X_CFLAGS = @X_CFLAGS@
475 X_EXTRA_LIBS = @X_EXTRA_LIBS@
476 X_LIBS = @X_LIBS@
477 X_PRE_LIBS = @X_PRE_LIBS@
478 abs_builddir = @abs_builddir@
479 abs_srcdir = @abs_srcdir@
480 abs_top_builddir = @abs_top_builddir@
481 abs_top_srcdir = @abs_top_srcdir@
482 ac_ct_AR = @ac_ct_AR@
483 ac_ct_CC = @ac_ct_CC@
484 ac_ct_CXX = @ac_ct_CXX@
485 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
486 ac_ct_F77 = @ac_ct_F77@
487 am__include = @am__include@
488 am__leading_dot = @am__leading_dot@
489 am__quote = @am__quote@
490 am__tar = @am__tar@
491 am__untar = @am__untar@
492 bindir = @bindir@
493 build = @build@
494 build_alias = @build_alias@
495 build_cpu = @build_cpu@
496 build_os = @build_os@
497 build_vendor = @build_vendor@
498 builddir = @builddir@
499 cxx_present = @cxx_present@
500 datadir = @datadir@
501 datarootdir = @datarootdir@
502 docdir = @docdir@
503 dvidir = @dvidir@
504 exec_prefix = @exec_prefix@
505 host = @host@
506 host_alias = @host_alias@
507 host_cpu = @host_cpu@
508 host_os = @host_os@
509 host_vendor = @host_vendor@
510 htmldir = @htmldir@
511 includedir = @includedir@
512 infodir = @infodir@
513 install_sh = @install_sh@
514 libdir = @libdir@
515 libexecdir = @libexecdir@
516 localedir = @localedir@
517 localstatedir = @localstatedir@
518 mandir = @mandir@
519 mkdir_p = @mkdir_p@
520 oldincludedir = @oldincludedir@
521 pdfdir = @pdfdir@
522 prefix = @prefix@
523 program_transform_name = @program_transform_name@
524 psdir = @psdir@
525 sbindir = @sbindir@
526 sharedstatedir = @sharedstatedir@
527 srcdir = @srcdir@
528 sysconfdir = @sysconfdir@
529 target_alias = @target_alias@
530 top_build_prefix = @top_build_prefix@
531 top_builddir = @top_builddir@
532 top_srcdir = @top_srcdir@
533 SPREADSHEET_C_SOURCES = \
534 src/c/xls.c \
535 src/c/checkCsvWriteFormat.c \
536 src/c/csvDefault.c \
537 src/c/csvRead.c \
538 src/c/csvWrite.c \
539 src/c/getRange.c \
540 src/c/splitLine.c \
541 src/c/utftolatin.c
542
543 RIPOLE_SOURCES = \
544 src/c/ripole/olestream-unwrap.c \
545 src/c/ripole/pldstr.c \
546 src/c/ripole/ole.c \
547 src/c/ripole/bytedecoders.c \
548 src/c/ripole/logger.c \
549 src/c/ripole/ripole.c \
550 src/c/ripole/bt-int.c
551
552 GATEWAY_C_SOURCES = \
553 sci_gateway/c/gw_spreadsheet.c \
554 sci_gateway/c/sci_xls_read.c \
555 sci_gateway/c/sci_xls_open.c \
556 sci_gateway/c/gw_csv_helpers.c \
557 sci_gateway/c/sci_csvDefault.c \
558 sci_gateway/c/sci_csvRead.c \
559 sci_gateway/c/sci_csvStringToDouble.c \
560 sci_gateway/c/sci_csvTextScan.c \
561 sci_gateway/c/sci_csvWrite.c
562
563 libscispreadsheet_la_CPPFLAGS = \
564 -I$(srcdir)/includes/ \
565 -I$(srcdir)/src/c/ \
566 -I$(srcdir)/src/c/ripole \
567 -I$(top_srcdir)/modules/localization/includes/ \
568 -I$(top_srcdir)/modules/output_stream/includes/ \
569 -I$(top_srcdir)/modules/io/includes/ \
570 -I$(top_srcdir)/modules/string/src/c/ \
571 -I$(top_srcdir)/modules/string/includes/ \
572 -I$(top_srcdir)/modules/api_scilab/includes/ \
573 -I$(top_srcdir)/modules/fileio/includes/ \
574 $(AM_CPPFLAGS)
575
576 pkglib_LTLIBRARIES = libscispreadsheet.la
577 noinst_LTLIBRARIES = libscispreadsheet-algo.la
578 libscispreadsheet_algo_la_SOURCES = $(SPREADSHEET_C_SOURCES) $(RIPOLE_SOURCES)
579 libscispreadsheet_la_SOURCES = $(GATEWAY_C_SOURCES)
580 libscispreadsheet_algo_la_CPPFLAGS = $(libscispreadsheet_la_CPPFLAGS)
581
582 # For the code check (splint)
583 CHECK_SRC = $(SPREADSHEET_C_SOURCES) $(GATEWAY_C_SOURCES) $(RIPOLE_SOURCES)
584 INCLUDE_FLAGS = $(libscispreadsheet_la_CPPFLAGS)
585 libscispreadsheet_la_LIBADD = libscispreadsheet-algo.la
586
587 #### Target ######
588 modulename = spreadsheet
589
590 #### spreadsheet : Conf files ####
591 libscispreadsheet_la_rootdir = $(mydatadir)
592 libscispreadsheet_la_root_DATA = license.txt
593
594 ####�spreadsheet : init scripts ####
595 libscispreadsheet_la_etcdir = $(mydatadir)/etc
596 libscispreadsheet_la_etc_DATA = etc/spreadsheet.quit etc/spreadsheet.start
597
598 ####�spreadsheet : gateway declaration ####
599 libscispreadsheet_la_sci_gatewaydir = $(mydatadir)/sci_gateway
600 libscispreadsheet_la_sci_gateway_DATA = sci_gateway/spreadsheet_gateway.xml
601
602 # Where all the Scilab stuff is installed (macros, help, ...)
603 mydatadir = $(pkgdatadir)/modules/$(modulename)
604
605 # Set AM_* SCI detected settings
606 AM_CPPFLAGS = $(SCI_CPPFLAGS)
607 AM_CFLAGS = $(SCI_CFLAGS)
608 AM_CXXFLAGS = $(SCI_CXXFLAGS)
609 # append includes to AM_FFLAGS to manage fortran includes
610 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
611
612 # Tag shared libraries with the Scilab version
613 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
614
615 # splint options
616 SPLINT_OPTIONS = -weak -booltype BOOL
617
618 ########################### JAVA ######################################
619 #### We are delegating java compilation to ant... Thanks to that
620 #### the procedure will be the same with Microsoft Windows (C)
621 #### and Linux/Unix
622 #######################################################################
623 TARGETS_ALL = $(am__append_1)
624
625 ################ MACROS ######################
626 # Rule to build a macro
627 # NOT USED  AT THE MOMENT
628 SUFFIXES = .sci 
629
630 ########### INSTALL DOCUMENTATION ###################
631
632 # Install documentation files into the right target
633 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
634 # automake needs the html files to be present which is not the case when
635 # we are building Scilab
636
637 # Where it should be installed
638 pkgdocdir = $(mydatadir)
639
640 # What is the mask of the help source
641 DOCMASKXML = *.xml
642
643 # What is the mask of the MathML sources
644 DOCMASKMML = *.mml
645
646 ########### INSTALL DATA ###################
647 # Install macros, help & demos
648 # Where it should be installed
649 pkgmacrosdir = $(mydatadir)
650 # Which directory we process
651 MACRODIRS = macros/
652 # Mask of the Scilab sources macros
653 MACROMASK = *.sci
654 # Mask of the Scilab executable sources macros
655 MACROBUILDMASK = *.sce
656 # Mask of the Scilab compiled macros
657 MACROBINMASK = *.bin
658 # List of the standard directory for tests
659 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
660 # Where the demos should be installed
661 pkgdemosdir = $(mydatadir)
662 # List of the standard directory for demos
663 DEMOS_DIR = demos
664 # List of the standard directory for examples
665 EXAMPLES_DIR = examples
666 # Where to export JAVA archives (.jar)
667 JARDIR = jar/
668 # JAR files mask
669 JARMASK = *.jar
670 # Chapter file 
671 HELP_CHAPTERDIR = help/
672 HELP_CHAPTERFILE = addchapter.sce
673 HELP_CHAPTERLANG = en_US fr_FR pt_BR
674 all: all-am
675
676 .SUFFIXES:
677 .SUFFIXES: .sci .bin .c .lo .o .obj
678 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
679         @for dep in $?; do \
680           case '$(am__configure_deps)' in \
681             *$$dep*) \
682               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
683                 && { if test -f $@; then exit 0; else break; fi; }; \
684               exit 1;; \
685           esac; \
686         done; \
687         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/spreadsheet/Makefile'; \
688         $(am__cd) $(top_srcdir) && \
689           $(AUTOMAKE) --foreign modules/spreadsheet/Makefile
690 .PRECIOUS: Makefile
691 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
692         @case '$?' in \
693           *config.status*) \
694             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
695           *) \
696             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
697             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
698         esac;
699 $(top_srcdir)/Makefile.incl.am:
700
701 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
702         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
703
704 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
705         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
706 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
707         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
708 $(am__aclocal_m4_deps):
709
710 clean-noinstLTLIBRARIES:
711         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
712         @list='$(noinst_LTLIBRARIES)'; \
713         locs=`for p in $$list; do echo $$p; done | \
714               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
715               sort -u`; \
716         test -z "$$locs" || { \
717           echo rm -f $${locs}; \
718           rm -f $${locs}; \
719         }
720
721 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
722         @$(NORMAL_INSTALL)
723         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
724         list2=; for p in $$list; do \
725           if test -f $$p; then \
726             list2="$$list2 $$p"; \
727           else :; fi; \
728         done; \
729         test -z "$$list2" || { \
730           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
731           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
732           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
733           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
734         }
735
736 uninstall-pkglibLTLIBRARIES:
737         @$(NORMAL_UNINSTALL)
738         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
739         for p in $$list; do \
740           $(am__strip_dir) \
741           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
742           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
743         done
744
745 clean-pkglibLTLIBRARIES:
746         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
747         @list='$(pkglib_LTLIBRARIES)'; \
748         locs=`for p in $$list; do echo $$p; done | \
749               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
750               sort -u`; \
751         test -z "$$locs" || { \
752           echo rm -f $${locs}; \
753           rm -f $${locs}; \
754         }
755
756 libscispreadsheet-algo.la: $(libscispreadsheet_algo_la_OBJECTS) $(libscispreadsheet_algo_la_DEPENDENCIES) $(EXTRA_libscispreadsheet_algo_la_DEPENDENCIES) 
757         $(AM_V_CCLD)$(LINK)  $(libscispreadsheet_algo_la_OBJECTS) $(libscispreadsheet_algo_la_LIBADD) $(LIBS)
758
759 libscispreadsheet.la: $(libscispreadsheet_la_OBJECTS) $(libscispreadsheet_la_DEPENDENCIES) $(EXTRA_libscispreadsheet_la_DEPENDENCIES) 
760         $(AM_V_CCLD)$(LINK) -rpath $(pkglibdir) $(libscispreadsheet_la_OBJECTS) $(libscispreadsheet_la_LIBADD) $(LIBS)
761
762 mostlyclean-compile:
763         -rm -f *.$(OBJEXT)
764
765 distclean-compile:
766         -rm -f *.tab.c
767
768 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-bt-int.Plo@am__quote@
769 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-bytedecoders.Plo@am__quote@
770 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-checkCsvWriteFormat.Plo@am__quote@
771 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-csvDefault.Plo@am__quote@
772 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-csvRead.Plo@am__quote@
773 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-csvWrite.Plo@am__quote@
774 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-getRange.Plo@am__quote@
775 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-logger.Plo@am__quote@
776 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-ole.Plo@am__quote@
777 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-olestream-unwrap.Plo@am__quote@
778 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-pldstr.Plo@am__quote@
779 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-ripole.Plo@am__quote@
780 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-splitLine.Plo@am__quote@
781 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-utftolatin.Plo@am__quote@
782 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_algo_la-xls.Plo@am__quote@
783 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-gw_csv_helpers.Plo@am__quote@
784 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-gw_spreadsheet.Plo@am__quote@
785 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-sci_csvDefault.Plo@am__quote@
786 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-sci_csvRead.Plo@am__quote@
787 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-sci_csvStringToDouble.Plo@am__quote@
788 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-sci_csvTextScan.Plo@am__quote@
789 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-sci_csvWrite.Plo@am__quote@
790 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-sci_xls_open.Plo@am__quote@
791 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscispreadsheet_la-sci_xls_read.Plo@am__quote@
792
793 .c.o:
794 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
795 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
796 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
797 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
798 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c $<
799
800 .c.obj:
801 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
802 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
803 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
804 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
805 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c `$(CYGPATH_W) '$<'`
806
807 .c.lo:
808 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
809 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
810 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
811 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
812 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
813
814 libscispreadsheet_algo_la-xls.lo: src/c/xls.c
815 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-xls.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-xls.Tpo -c -o libscispreadsheet_algo_la-xls.lo `test -f 'src/c/xls.c' || echo '$(srcdir)/'`src/c/xls.c
816 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-xls.Tpo $(DEPDIR)/libscispreadsheet_algo_la-xls.Plo
817 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/xls.c' object='libscispreadsheet_algo_la-xls.lo' libtool=yes @AMDEPBACKSLASH@
818 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
819 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-xls.lo `test -f 'src/c/xls.c' || echo '$(srcdir)/'`src/c/xls.c
820
821 libscispreadsheet_algo_la-checkCsvWriteFormat.lo: src/c/checkCsvWriteFormat.c
822 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-checkCsvWriteFormat.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-checkCsvWriteFormat.Tpo -c -o libscispreadsheet_algo_la-checkCsvWriteFormat.lo `test -f 'src/c/checkCsvWriteFormat.c' || echo '$(srcdir)/'`src/c/checkCsvWriteFormat.c
823 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-checkCsvWriteFormat.Tpo $(DEPDIR)/libscispreadsheet_algo_la-checkCsvWriteFormat.Plo
824 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/checkCsvWriteFormat.c' object='libscispreadsheet_algo_la-checkCsvWriteFormat.lo' libtool=yes @AMDEPBACKSLASH@
825 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
826 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-checkCsvWriteFormat.lo `test -f 'src/c/checkCsvWriteFormat.c' || echo '$(srcdir)/'`src/c/checkCsvWriteFormat.c
827
828 libscispreadsheet_algo_la-csvDefault.lo: src/c/csvDefault.c
829 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-csvDefault.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-csvDefault.Tpo -c -o libscispreadsheet_algo_la-csvDefault.lo `test -f 'src/c/csvDefault.c' || echo '$(srcdir)/'`src/c/csvDefault.c
830 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-csvDefault.Tpo $(DEPDIR)/libscispreadsheet_algo_la-csvDefault.Plo
831 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/csvDefault.c' object='libscispreadsheet_algo_la-csvDefault.lo' libtool=yes @AMDEPBACKSLASH@
832 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
833 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-csvDefault.lo `test -f 'src/c/csvDefault.c' || echo '$(srcdir)/'`src/c/csvDefault.c
834
835 libscispreadsheet_algo_la-csvRead.lo: src/c/csvRead.c
836 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-csvRead.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-csvRead.Tpo -c -o libscispreadsheet_algo_la-csvRead.lo `test -f 'src/c/csvRead.c' || echo '$(srcdir)/'`src/c/csvRead.c
837 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-csvRead.Tpo $(DEPDIR)/libscispreadsheet_algo_la-csvRead.Plo
838 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/csvRead.c' object='libscispreadsheet_algo_la-csvRead.lo' libtool=yes @AMDEPBACKSLASH@
839 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
840 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-csvRead.lo `test -f 'src/c/csvRead.c' || echo '$(srcdir)/'`src/c/csvRead.c
841
842 libscispreadsheet_algo_la-csvWrite.lo: src/c/csvWrite.c
843 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-csvWrite.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-csvWrite.Tpo -c -o libscispreadsheet_algo_la-csvWrite.lo `test -f 'src/c/csvWrite.c' || echo '$(srcdir)/'`src/c/csvWrite.c
844 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-csvWrite.Tpo $(DEPDIR)/libscispreadsheet_algo_la-csvWrite.Plo
845 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/csvWrite.c' object='libscispreadsheet_algo_la-csvWrite.lo' libtool=yes @AMDEPBACKSLASH@
846 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
847 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-csvWrite.lo `test -f 'src/c/csvWrite.c' || echo '$(srcdir)/'`src/c/csvWrite.c
848
849 libscispreadsheet_algo_la-getRange.lo: src/c/getRange.c
850 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-getRange.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-getRange.Tpo -c -o libscispreadsheet_algo_la-getRange.lo `test -f 'src/c/getRange.c' || echo '$(srcdir)/'`src/c/getRange.c
851 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-getRange.Tpo $(DEPDIR)/libscispreadsheet_algo_la-getRange.Plo
852 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/getRange.c' object='libscispreadsheet_algo_la-getRange.lo' libtool=yes @AMDEPBACKSLASH@
853 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
854 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-getRange.lo `test -f 'src/c/getRange.c' || echo '$(srcdir)/'`src/c/getRange.c
855
856 libscispreadsheet_algo_la-splitLine.lo: src/c/splitLine.c
857 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-splitLine.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-splitLine.Tpo -c -o libscispreadsheet_algo_la-splitLine.lo `test -f 'src/c/splitLine.c' || echo '$(srcdir)/'`src/c/splitLine.c
858 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-splitLine.Tpo $(DEPDIR)/libscispreadsheet_algo_la-splitLine.Plo
859 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/splitLine.c' object='libscispreadsheet_algo_la-splitLine.lo' libtool=yes @AMDEPBACKSLASH@
860 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
861 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-splitLine.lo `test -f 'src/c/splitLine.c' || echo '$(srcdir)/'`src/c/splitLine.c
862
863 libscispreadsheet_algo_la-utftolatin.lo: src/c/utftolatin.c
864 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-utftolatin.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-utftolatin.Tpo -c -o libscispreadsheet_algo_la-utftolatin.lo `test -f 'src/c/utftolatin.c' || echo '$(srcdir)/'`src/c/utftolatin.c
865 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-utftolatin.Tpo $(DEPDIR)/libscispreadsheet_algo_la-utftolatin.Plo
866 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/utftolatin.c' object='libscispreadsheet_algo_la-utftolatin.lo' libtool=yes @AMDEPBACKSLASH@
867 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
868 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-utftolatin.lo `test -f 'src/c/utftolatin.c' || echo '$(srcdir)/'`src/c/utftolatin.c
869
870 libscispreadsheet_algo_la-olestream-unwrap.lo: src/c/ripole/olestream-unwrap.c
871 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-olestream-unwrap.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-olestream-unwrap.Tpo -c -o libscispreadsheet_algo_la-olestream-unwrap.lo `test -f 'src/c/ripole/olestream-unwrap.c' || echo '$(srcdir)/'`src/c/ripole/olestream-unwrap.c
872 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-olestream-unwrap.Tpo $(DEPDIR)/libscispreadsheet_algo_la-olestream-unwrap.Plo
873 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/ripole/olestream-unwrap.c' object='libscispreadsheet_algo_la-olestream-unwrap.lo' libtool=yes @AMDEPBACKSLASH@
874 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
875 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-olestream-unwrap.lo `test -f 'src/c/ripole/olestream-unwrap.c' || echo '$(srcdir)/'`src/c/ripole/olestream-unwrap.c
876
877 libscispreadsheet_algo_la-pldstr.lo: src/c/ripole/pldstr.c
878 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-pldstr.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-pldstr.Tpo -c -o libscispreadsheet_algo_la-pldstr.lo `test -f 'src/c/ripole/pldstr.c' || echo '$(srcdir)/'`src/c/ripole/pldstr.c
879 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-pldstr.Tpo $(DEPDIR)/libscispreadsheet_algo_la-pldstr.Plo
880 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/ripole/pldstr.c' object='libscispreadsheet_algo_la-pldstr.lo' libtool=yes @AMDEPBACKSLASH@
881 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
882 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-pldstr.lo `test -f 'src/c/ripole/pldstr.c' || echo '$(srcdir)/'`src/c/ripole/pldstr.c
883
884 libscispreadsheet_algo_la-ole.lo: src/c/ripole/ole.c
885 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-ole.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-ole.Tpo -c -o libscispreadsheet_algo_la-ole.lo `test -f 'src/c/ripole/ole.c' || echo '$(srcdir)/'`src/c/ripole/ole.c
886 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-ole.Tpo $(DEPDIR)/libscispreadsheet_algo_la-ole.Plo
887 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/ripole/ole.c' object='libscispreadsheet_algo_la-ole.lo' libtool=yes @AMDEPBACKSLASH@
888 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
889 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-ole.lo `test -f 'src/c/ripole/ole.c' || echo '$(srcdir)/'`src/c/ripole/ole.c
890
891 libscispreadsheet_algo_la-bytedecoders.lo: src/c/ripole/bytedecoders.c
892 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-bytedecoders.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-bytedecoders.Tpo -c -o libscispreadsheet_algo_la-bytedecoders.lo `test -f 'src/c/ripole/bytedecoders.c' || echo '$(srcdir)/'`src/c/ripole/bytedecoders.c
893 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-bytedecoders.Tpo $(DEPDIR)/libscispreadsheet_algo_la-bytedecoders.Plo
894 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/ripole/bytedecoders.c' object='libscispreadsheet_algo_la-bytedecoders.lo' libtool=yes @AMDEPBACKSLASH@
895 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
896 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-bytedecoders.lo `test -f 'src/c/ripole/bytedecoders.c' || echo '$(srcdir)/'`src/c/ripole/bytedecoders.c
897
898 libscispreadsheet_algo_la-logger.lo: src/c/ripole/logger.c
899 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-logger.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-logger.Tpo -c -o libscispreadsheet_algo_la-logger.lo `test -f 'src/c/ripole/logger.c' || echo '$(srcdir)/'`src/c/ripole/logger.c
900 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-logger.Tpo $(DEPDIR)/libscispreadsheet_algo_la-logger.Plo
901 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/ripole/logger.c' object='libscispreadsheet_algo_la-logger.lo' libtool=yes @AMDEPBACKSLASH@
902 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
903 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-logger.lo `test -f 'src/c/ripole/logger.c' || echo '$(srcdir)/'`src/c/ripole/logger.c
904
905 libscispreadsheet_algo_la-ripole.lo: src/c/ripole/ripole.c
906 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-ripole.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-ripole.Tpo -c -o libscispreadsheet_algo_la-ripole.lo `test -f 'src/c/ripole/ripole.c' || echo '$(srcdir)/'`src/c/ripole/ripole.c
907 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-ripole.Tpo $(DEPDIR)/libscispreadsheet_algo_la-ripole.Plo
908 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/ripole/ripole.c' object='libscispreadsheet_algo_la-ripole.lo' libtool=yes @AMDEPBACKSLASH@
909 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
910 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-ripole.lo `test -f 'src/c/ripole/ripole.c' || echo '$(srcdir)/'`src/c/ripole/ripole.c
911
912 libscispreadsheet_algo_la-bt-int.lo: src/c/ripole/bt-int.c
913 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_algo_la-bt-int.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_algo_la-bt-int.Tpo -c -o libscispreadsheet_algo_la-bt-int.lo `test -f 'src/c/ripole/bt-int.c' || echo '$(srcdir)/'`src/c/ripole/bt-int.c
914 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_algo_la-bt-int.Tpo $(DEPDIR)/libscispreadsheet_algo_la-bt-int.Plo
915 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/ripole/bt-int.c' object='libscispreadsheet_algo_la-bt-int.lo' libtool=yes @AMDEPBACKSLASH@
916 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
917 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_algo_la-bt-int.lo `test -f 'src/c/ripole/bt-int.c' || echo '$(srcdir)/'`src/c/ripole/bt-int.c
918
919 libscispreadsheet_la-gw_spreadsheet.lo: sci_gateway/c/gw_spreadsheet.c
920 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_la-gw_spreadsheet.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-gw_spreadsheet.Tpo -c -o libscispreadsheet_la-gw_spreadsheet.lo `test -f 'sci_gateway/c/gw_spreadsheet.c' || echo '$(srcdir)/'`sci_gateway/c/gw_spreadsheet.c
921 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_la-gw_spreadsheet.Tpo $(DEPDIR)/libscispreadsheet_la-gw_spreadsheet.Plo
922 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/gw_spreadsheet.c' object='libscispreadsheet_la-gw_spreadsheet.lo' libtool=yes @AMDEPBACKSLASH@
923 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
924 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_la-gw_spreadsheet.lo `test -f 'sci_gateway/c/gw_spreadsheet.c' || echo '$(srcdir)/'`sci_gateway/c/gw_spreadsheet.c
925
926 libscispreadsheet_la-sci_xls_read.lo: sci_gateway/c/sci_xls_read.c
927 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_la-sci_xls_read.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-sci_xls_read.Tpo -c -o libscispreadsheet_la-sci_xls_read.lo `test -f 'sci_gateway/c/sci_xls_read.c' || echo '$(srcdir)/'`sci_gateway/c/sci_xls_read.c
928 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_la-sci_xls_read.Tpo $(DEPDIR)/libscispreadsheet_la-sci_xls_read.Plo
929 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_xls_read.c' object='libscispreadsheet_la-sci_xls_read.lo' libtool=yes @AMDEPBACKSLASH@
930 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
931 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_la-sci_xls_read.lo `test -f 'sci_gateway/c/sci_xls_read.c' || echo '$(srcdir)/'`sci_gateway/c/sci_xls_read.c
932
933 libscispreadsheet_la-sci_xls_open.lo: sci_gateway/c/sci_xls_open.c
934 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_la-sci_xls_open.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-sci_xls_open.Tpo -c -o libscispreadsheet_la-sci_xls_open.lo `test -f 'sci_gateway/c/sci_xls_open.c' || echo '$(srcdir)/'`sci_gateway/c/sci_xls_open.c
935 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_la-sci_xls_open.Tpo $(DEPDIR)/libscispreadsheet_la-sci_xls_open.Plo
936 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_xls_open.c' object='libscispreadsheet_la-sci_xls_open.lo' libtool=yes @AMDEPBACKSLASH@
937 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
938 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_la-sci_xls_open.lo `test -f 'sci_gateway/c/sci_xls_open.c' || echo '$(srcdir)/'`sci_gateway/c/sci_xls_open.c
939
940 libscispreadsheet_la-gw_csv_helpers.lo: sci_gateway/c/gw_csv_helpers.c
941 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_la-gw_csv_helpers.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-gw_csv_helpers.Tpo -c -o libscispreadsheet_la-gw_csv_helpers.lo `test -f 'sci_gateway/c/gw_csv_helpers.c' || echo '$(srcdir)/'`sci_gateway/c/gw_csv_helpers.c
942 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_la-gw_csv_helpers.Tpo $(DEPDIR)/libscispreadsheet_la-gw_csv_helpers.Plo
943 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/gw_csv_helpers.c' object='libscispreadsheet_la-gw_csv_helpers.lo' libtool=yes @AMDEPBACKSLASH@
944 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
945 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_la-gw_csv_helpers.lo `test -f 'sci_gateway/c/gw_csv_helpers.c' || echo '$(srcdir)/'`sci_gateway/c/gw_csv_helpers.c
946
947 libscispreadsheet_la-sci_csvDefault.lo: sci_gateway/c/sci_csvDefault.c
948 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_la-sci_csvDefault.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-sci_csvDefault.Tpo -c -o libscispreadsheet_la-sci_csvDefault.lo `test -f 'sci_gateway/c/sci_csvDefault.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvDefault.c
949 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_la-sci_csvDefault.Tpo $(DEPDIR)/libscispreadsheet_la-sci_csvDefault.Plo
950 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_csvDefault.c' object='libscispreadsheet_la-sci_csvDefault.lo' libtool=yes @AMDEPBACKSLASH@
951 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
952 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_la-sci_csvDefault.lo `test -f 'sci_gateway/c/sci_csvDefault.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvDefault.c
953
954 libscispreadsheet_la-sci_csvRead.lo: sci_gateway/c/sci_csvRead.c
955 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_la-sci_csvRead.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-sci_csvRead.Tpo -c -o libscispreadsheet_la-sci_csvRead.lo `test -f 'sci_gateway/c/sci_csvRead.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvRead.c
956 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_la-sci_csvRead.Tpo $(DEPDIR)/libscispreadsheet_la-sci_csvRead.Plo
957 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_csvRead.c' object='libscispreadsheet_la-sci_csvRead.lo' libtool=yes @AMDEPBACKSLASH@
958 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
959 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_la-sci_csvRead.lo `test -f 'sci_gateway/c/sci_csvRead.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvRead.c
960
961 libscispreadsheet_la-sci_csvStringToDouble.lo: sci_gateway/c/sci_csvStringToDouble.c
962 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_la-sci_csvStringToDouble.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-sci_csvStringToDouble.Tpo -c -o libscispreadsheet_la-sci_csvStringToDouble.lo `test -f 'sci_gateway/c/sci_csvStringToDouble.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvStringToDouble.c
963 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_la-sci_csvStringToDouble.Tpo $(DEPDIR)/libscispreadsheet_la-sci_csvStringToDouble.Plo
964 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_csvStringToDouble.c' object='libscispreadsheet_la-sci_csvStringToDouble.lo' libtool=yes @AMDEPBACKSLASH@
965 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
966 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_la-sci_csvStringToDouble.lo `test -f 'sci_gateway/c/sci_csvStringToDouble.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvStringToDouble.c
967
968 libscispreadsheet_la-sci_csvTextScan.lo: sci_gateway/c/sci_csvTextScan.c
969 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_la-sci_csvTextScan.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-sci_csvTextScan.Tpo -c -o libscispreadsheet_la-sci_csvTextScan.lo `test -f 'sci_gateway/c/sci_csvTextScan.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvTextScan.c
970 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_la-sci_csvTextScan.Tpo $(DEPDIR)/libscispreadsheet_la-sci_csvTextScan.Plo
971 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_csvTextScan.c' object='libscispreadsheet_la-sci_csvTextScan.lo' libtool=yes @AMDEPBACKSLASH@
972 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
973 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_la-sci_csvTextScan.lo `test -f 'sci_gateway/c/sci_csvTextScan.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvTextScan.c
974
975 libscispreadsheet_la-sci_csvWrite.lo: sci_gateway/c/sci_csvWrite.c
976 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscispreadsheet_la-sci_csvWrite.lo -MD -MP -MF $(DEPDIR)/libscispreadsheet_la-sci_csvWrite.Tpo -c -o libscispreadsheet_la-sci_csvWrite.lo `test -f 'sci_gateway/c/sci_csvWrite.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvWrite.c
977 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscispreadsheet_la-sci_csvWrite.Tpo $(DEPDIR)/libscispreadsheet_la-sci_csvWrite.Plo
978 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_csvWrite.c' object='libscispreadsheet_la-sci_csvWrite.lo' libtool=yes @AMDEPBACKSLASH@
979 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
980 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispreadsheet_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscispreadsheet_la-sci_csvWrite.lo `test -f 'sci_gateway/c/sci_csvWrite.c' || echo '$(srcdir)/'`sci_gateway/c/sci_csvWrite.c
981
982 mostlyclean-libtool:
983         -rm -f *.lo
984
985 clean-libtool:
986         -rm -rf .libs _libs
987 install-libscispreadsheet_la_etcDATA: $(libscispreadsheet_la_etc_DATA)
988         @$(NORMAL_INSTALL)
989         @list='$(libscispreadsheet_la_etc_DATA)'; test -n "$(libscispreadsheet_la_etcdir)" || list=; \
990         if test -n "$$list"; then \
991           echo " $(MKDIR_P) '$(DESTDIR)$(libscispreadsheet_la_etcdir)'"; \
992           $(MKDIR_P) "$(DESTDIR)$(libscispreadsheet_la_etcdir)" || exit 1; \
993         fi; \
994         for p in $$list; do \
995           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
996           echo "$$d$$p"; \
997         done | $(am__base_list) | \
998         while read files; do \
999           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscispreadsheet_la_etcdir)'"; \
1000           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscispreadsheet_la_etcdir)" || exit $$?; \
1001         done
1002
1003 uninstall-libscispreadsheet_la_etcDATA:
1004         @$(NORMAL_UNINSTALL)
1005         @list='$(libscispreadsheet_la_etc_DATA)'; test -n "$(libscispreadsheet_la_etcdir)" || list=; \
1006         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1007         dir='$(DESTDIR)$(libscispreadsheet_la_etcdir)'; $(am__uninstall_files_from_dir)
1008 install-libscispreadsheet_la_rootDATA: $(libscispreadsheet_la_root_DATA)
1009         @$(NORMAL_INSTALL)
1010         @list='$(libscispreadsheet_la_root_DATA)'; test -n "$(libscispreadsheet_la_rootdir)" || list=; \
1011         if test -n "$$list"; then \
1012           echo " $(MKDIR_P) '$(DESTDIR)$(libscispreadsheet_la_rootdir)'"; \
1013           $(MKDIR_P) "$(DESTDIR)$(libscispreadsheet_la_rootdir)" || exit 1; \
1014         fi; \
1015         for p in $$list; do \
1016           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1017           echo "$$d$$p"; \
1018         done | $(am__base_list) | \
1019         while read files; do \
1020           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscispreadsheet_la_rootdir)'"; \
1021           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscispreadsheet_la_rootdir)" || exit $$?; \
1022         done
1023
1024 uninstall-libscispreadsheet_la_rootDATA:
1025         @$(NORMAL_UNINSTALL)
1026         @list='$(libscispreadsheet_la_root_DATA)'; test -n "$(libscispreadsheet_la_rootdir)" || list=; \
1027         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1028         dir='$(DESTDIR)$(libscispreadsheet_la_rootdir)'; $(am__uninstall_files_from_dir)
1029 install-libscispreadsheet_la_sci_gatewayDATA: $(libscispreadsheet_la_sci_gateway_DATA)
1030         @$(NORMAL_INSTALL)
1031         @list='$(libscispreadsheet_la_sci_gateway_DATA)'; test -n "$(libscispreadsheet_la_sci_gatewaydir)" || list=; \
1032         if test -n "$$list"; then \
1033           echo " $(MKDIR_P) '$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)'"; \
1034           $(MKDIR_P) "$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)" || exit 1; \
1035         fi; \
1036         for p in $$list; do \
1037           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1038           echo "$$d$$p"; \
1039         done | $(am__base_list) | \
1040         while read files; do \
1041           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)'"; \
1042           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)" || exit $$?; \
1043         done
1044
1045 uninstall-libscispreadsheet_la_sci_gatewayDATA:
1046         @$(NORMAL_UNINSTALL)
1047         @list='$(libscispreadsheet_la_sci_gateway_DATA)'; test -n "$(libscispreadsheet_la_sci_gatewaydir)" || list=; \
1048         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1049         dir='$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
1050
1051 ID: $(am__tagged_files)
1052         $(am__define_uniq_tagged_files); mkid -fID $$unique
1053 tags: tags-am
1054 TAGS: tags
1055
1056 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1057         set x; \
1058         here=`pwd`; \
1059         $(am__define_uniq_tagged_files); \
1060         shift; \
1061         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1062           test -n "$$unique" || unique=$$empty_fix; \
1063           if test $$# -gt 0; then \
1064             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1065               "$$@" $$unique; \
1066           else \
1067             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1068               $$unique; \
1069           fi; \
1070         fi
1071 ctags: ctags-am
1072
1073 CTAGS: ctags
1074 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1075         $(am__define_uniq_tagged_files); \
1076         test -z "$(CTAGS_ARGS)$$unique" \
1077           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1078              $$unique
1079
1080 GTAGS:
1081         here=`$(am__cd) $(top_builddir) && pwd` \
1082           && $(am__cd) $(top_srcdir) \
1083           && gtags -i $(GTAGS_ARGS) "$$here"
1084 cscopelist: cscopelist-am
1085
1086 cscopelist-am: $(am__tagged_files)
1087         list='$(am__tagged_files)'; \
1088         case "$(srcdir)" in \
1089           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1090           *) sdir=$(subdir)/$(srcdir) ;; \
1091         esac; \
1092         for i in $$list; do \
1093           if test -f "$$i"; then \
1094             echo "$(subdir)/$$i"; \
1095           else \
1096             echo "$$sdir/$$i"; \
1097           fi; \
1098         done >> $(top_builddir)/cscope.files
1099
1100 distclean-tags:
1101         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1102
1103 distdir: $(DISTFILES)
1104         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1105         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1106         list='$(DISTFILES)'; \
1107           dist_files=`for file in $$list; do echo $$file; done | \
1108           sed -e "s|^$$srcdirstrip/||;t" \
1109               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1110         case $$dist_files in \
1111           */*) $(MKDIR_P) `echo "$$dist_files" | \
1112                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1113                            sort -u` ;; \
1114         esac; \
1115         for file in $$dist_files; do \
1116           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1117           if test -d $$d/$$file; then \
1118             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1119             if test -d "$(distdir)/$$file"; then \
1120               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1121             fi; \
1122             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1123               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1124               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1125             fi; \
1126             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1127           else \
1128             test -f "$(distdir)/$$file" \
1129             || cp -p $$d/$$file "$(distdir)/$$file" \
1130             || exit 1; \
1131           fi; \
1132         done
1133 check-am: all-am
1134         $(MAKE) $(AM_MAKEFLAGS) check-local
1135 check: check-am
1136 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1137 installdirs:
1138         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscispreadsheet_la_etcdir)" "$(DESTDIR)$(libscispreadsheet_la_rootdir)" "$(DESTDIR)$(libscispreadsheet_la_sci_gatewaydir)"; do \
1139           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1140         done
1141 install: install-am
1142 install-exec: install-exec-am
1143 install-data: install-data-am
1144 uninstall: uninstall-am
1145
1146 install-am: all-am
1147         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1148
1149 installcheck: installcheck-am
1150 install-strip:
1151         if test -z '$(STRIP)'; then \
1152           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1153             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1154               install; \
1155         else \
1156           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1157             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1158             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1159         fi
1160 mostlyclean-generic:
1161
1162 clean-generic:
1163
1164 distclean-generic:
1165         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1166         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1167
1168 maintainer-clean-generic:
1169         @echo "This command is intended for maintainers to use"
1170         @echo "it deletes files that may require special tools to rebuild."
1171 clean: clean-am
1172
1173 clean-am: clean-generic clean-libtool clean-local \
1174         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1175
1176 distclean: distclean-am
1177         -rm -rf ./$(DEPDIR)
1178         -rm -f Makefile
1179 distclean-am: clean-am distclean-compile distclean-generic \
1180         distclean-local distclean-tags
1181
1182 dvi: dvi-am
1183
1184 dvi-am:
1185
1186 html: html-am
1187
1188 html-am:
1189
1190 info: info-am
1191
1192 info-am:
1193
1194 install-data-am: install-data-local \
1195         install-libscispreadsheet_la_etcDATA \
1196         install-libscispreadsheet_la_rootDATA \
1197         install-libscispreadsheet_la_sci_gatewayDATA
1198
1199 install-dvi: install-dvi-am
1200
1201 install-dvi-am:
1202
1203 install-exec-am: install-pkglibLTLIBRARIES
1204
1205 install-html: install-html-am
1206
1207 install-html-am: install-html-local
1208
1209 install-info: install-info-am
1210
1211 install-info-am:
1212
1213 install-man:
1214
1215 install-pdf: install-pdf-am
1216
1217 install-pdf-am:
1218
1219 install-ps: install-ps-am
1220
1221 install-ps-am:
1222
1223 installcheck-am:
1224
1225 maintainer-clean: maintainer-clean-am
1226         -rm -rf ./$(DEPDIR)
1227         -rm -f Makefile
1228 maintainer-clean-am: distclean-am maintainer-clean-generic
1229
1230 mostlyclean: mostlyclean-am
1231
1232 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1233         mostlyclean-libtool
1234
1235 pdf: pdf-am
1236
1237 pdf-am:
1238
1239 ps: ps-am
1240
1241 ps-am:
1242
1243 uninstall-am: uninstall-libscispreadsheet_la_etcDATA \
1244         uninstall-libscispreadsheet_la_rootDATA \
1245         uninstall-libscispreadsheet_la_sci_gatewayDATA \
1246         uninstall-pkglibLTLIBRARIES
1247
1248 .MAKE: check-am install-am install-strip
1249
1250 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1251         check-local clean clean-generic clean-libtool clean-local \
1252         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES cscopelist-am \
1253         ctags ctags-am distclean distclean-compile distclean-generic \
1254         distclean-libtool distclean-local distclean-tags distdir dvi \
1255         dvi-am html html-am info info-am install install-am \
1256         install-data install-data-am install-data-local install-dvi \
1257         install-dvi-am install-exec install-exec-am install-html \
1258         install-html-am install-html-local install-info \
1259         install-info-am install-libscispreadsheet_la_etcDATA \
1260         install-libscispreadsheet_la_rootDATA \
1261         install-libscispreadsheet_la_sci_gatewayDATA install-man \
1262         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
1263         install-ps install-ps-am install-strip installcheck \
1264         installcheck-am installdirs maintainer-clean \
1265         maintainer-clean-generic mostlyclean mostlyclean-compile \
1266         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1267         tags tags-am uninstall uninstall-am \
1268         uninstall-libscispreadsheet_la_etcDATA \
1269         uninstall-libscispreadsheet_la_rootDATA \
1270         uninstall-libscispreadsheet_la_sci_gatewayDATA \
1271         uninstall-pkglibLTLIBRARIES
1272
1273
1274 # This target enables tests for Scilab
1275 check-local: $(top_builddir)/scilab-bin test
1276         if test -d $(mydatadir)/tests; then \
1277           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1278         fi
1279 check-code:
1280         if test -f build.xml; then \
1281                 $(ANT) checkstyle; \
1282         fi
1283         if test -x "$(SPLINT)"; then \
1284                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1285         fi
1286 @NEED_JAVA_TRUE@java:
1287 # Some configurations needs to export JAVA_HOME in the current env
1288 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1289 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1290 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1291 @NEED_JAVA_TRUE@                $(ANT); \
1292 @NEED_JAVA_TRUE@        fi
1293
1294 @NEED_JAVA_TRUE@clean-java:
1295 # Some configurations needs to export JAVA_HOME in the current env
1296 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1297 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1298 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1299 @NEED_JAVA_TRUE@                $(ANT) clean; \
1300 @NEED_JAVA_TRUE@        fi;
1301
1302 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1303 # We call the target swig-build on the variable SWIG_WRAPPERS
1304
1305 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1306 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1307 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1308 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1309 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1310 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1311 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1312 @SWIG_TRUE@             done; \
1313 @SWIG_TRUE@     fi
1314
1315 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1316 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1317 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1318 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1319 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1320 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_SCILAB)  -outdir $$SWIG_OUTDIR $$file; \
1321 @SWIG_TRUE@             done; \
1322 @SWIG_TRUE@     fi
1323
1324 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1325 # We call the target swig-build on the variable SWIG_WRAPPERS
1326
1327 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1328 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1329 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1330 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1331 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1332 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1333 @GIWS_TRUE@             done; \
1334 @GIWS_TRUE@     fi
1335
1336 @GIWS_TRUE@giws-exception:
1337 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1338 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1339 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1340
1341 macros:
1342         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1343                 echo "Error : Cannot build $< : Scilab has not been built"; \
1344         else \
1345                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1346         fi)
1347
1348 # Removes the macros
1349 clean-macros:
1350 # Removes macros (*.bin generated from .sci)
1351         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1352                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1353                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1354         done
1355
1356 test:
1357 # More tests could be added here
1358         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1359         if test -f build.xml -a $$USEANT -eq 1; then \
1360                 $(ANT) test; \
1361         fi
1362
1363 all-local: $(TARGETS_ALL)
1364
1365 .sci.bin:
1366         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1367         echo "Error : Cannot build $< : Scilab has not been build"; \
1368         else \
1369         echo "Creating $@"; \
1370         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1371         fi )
1372
1373 install-html-local:
1374
1375 install-data-local-local:
1376 # Mainly for javasci
1377         @if test -d $(srcdir)/javadoc; then \
1378                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1379         fi
1380 # If the user wants the help sources to be installed
1381 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1382 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1383 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1384 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1385 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1386 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1387 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1388 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1389 @INSTALL_HELP_XML_TRUE@           done ; \
1390 @INSTALL_HELP_XML_TRUE@         fi; \
1391 @INSTALL_HELP_XML_TRUE@  fi; \
1392 @INSTALL_HELP_XML_TRUE@ done; \
1393 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1394 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1395 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1396 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1397 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1398 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1399 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1400 @INSTALL_HELP_XML_TRUE@           done ; \
1401 @INSTALL_HELP_XML_TRUE@         fi; \
1402 @INSTALL_HELP_XML_TRUE@ fi
1403 install-data-local:
1404 # Install the tests
1405         @echo "-------- Install tests (if any) --------"; \
1406         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1407           if test -d $(srcdir)/$$dir/; then \
1408             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1409                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1410                     if test -d "$(srcdir)/$$dir/$$file"; then \
1411                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1412                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1413                     else \
1414                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1415                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1416                     fi \
1417                   done; \
1418           fi; \
1419         done
1420 # Install the help chapter
1421         @echo "-------- Install the help chapter (if any) --------"; \
1422         for lang in $(HELP_CHAPTERLANG); do \
1423                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1424                 if test -f $$HELPFILE; then \
1425                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1426                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1427                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1428                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1429                 fi; \
1430         done
1431 # Install the demos & examples
1432         @echo "-------- Install demos & examples (if any) --------"; \
1433         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1434           if test -d $(srcdir)/$$dir/; then \
1435             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1436                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1437                     if test -d "$(srcdir)/$$dir/$$file"; then \
1438                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1439                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1440                     else \
1441                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1442                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1443                     fi \
1444                   done; \
1445           fi; \
1446         done
1447 # Install the macros
1448         @echo "-------- Install macros (if any) --------"; \
1449         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1450           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1451                 if test -d $(srcdir)/$$dir/; then \
1452                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1453                         if test -n "$(MACROSSPECIALEXT)"; then \
1454                                 specialExtDir=""; \
1455                                 for specialExt in $(MACROSSPECIALEXT); do \
1456                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1457                                 done; \
1458                                 FILELIST="$$FILELIST $$specialExtDir"; \
1459                         fi; \
1460                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1461                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1462                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1463                   done; \
1464                 fi; \
1465         done
1466 # Install java files (.jar)
1467         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1468         echo "-------- Install jar files --------"; \
1469     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1470           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1471                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1472                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1473           done ; \
1474         fi
1475
1476 ########### CLEAN ###################
1477 # Clean help (generated automatically by Scilab)
1478 # It used to clean the macro (clean-macros) but this was causing
1479 # make clean && make to fail Scilab startup
1480 @NEED_JAVA_TRUE@clean-local: clean-java
1481 @NEED_JAVA_FALSE@clean-local:
1482
1483 distclean-local:
1484         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1485
1486 .PHONY: macros java swig giws
1487
1488 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1489 # Otherwise a system limit (for SysV at least) may be exceeded.
1490 .NOEXPORT: